View Issue Details

IDProjectCategoryView StatusLast Update
0002968PartDesignBugpublic2017-03-20 03:35
ReporterjnxdAssigned Toyorik 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version 
Summary0002968: Datum items invisible on opening saved files
DescriptionDatum items in opened files are invisible until edited.
Steps To Reproduce1. Open a ".fcstd" file containing datum items. Make sure the items are marked visible (does not have to be saved as so).

The datum items are always invisible.

2. Double click on any datum item. All become visible as soon as edit mode is entered.
Additional InformationVersion details:
OS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10476 (Git)
Build type: None
Branch: master
Hash: b6150097e9cf4d7b0f5ad71f2f8750f2e7aac0d9
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0

Apparently this is a regression. As per git bisect, the first bad commit could be any of:
FreeCAD master 9a3b952f
FreeCAD master b4a569e0

Appears to be related to issue 0002964: in the neighbourhood of the above two commits, a bad for this bug is a good for that one and vice versa.
TagsNo tags attached.

Relationships

related to 0002964 closedyorik PartDesign Datum geometry invisible in 3D view if no geometry present in Body 

Activities

2017-03-15 17:56jnxdNew Issue

jnxd

2017-03-15 18:04

developer   ~0008630

Correction: There are slightly more details about 0002964. Refer to its own page.

Forum thread here.
2017-03-15 20:07Kunda1Relationship addedrelated to 0002964
2017-03-15 20:08Kunda1Additional Information UpdatedView Revisions

yorik

2017-03-19 21:09

administrator   ~0008653

Fix committed to master branch.
2017-03-19 21:09yorikChangeset attached => FreeCAD master c4fdc924
2017-03-19 21:09yorikAssigned To => yorik
2017-03-19 21:09yorikStatusnew => closed
2017-03-19 21:09yorikResolutionopen => fixed

Related Changesets

FreeCAD: master c4fdc924

2017-03-16 21:27:00

AjinkyaDahale


Committer: yorik Details Diff
fixes 0002964, 0002968

0002964: PartDesign Datum geometry invisible in 3D view if no geometry
present in Body
0002968: Datum items invisible on opening saved files
mod - src/Mod/PartDesign/Gui/ViewProviderDatum.cpp Diff File

Issue History

Date Modified Username Field Change
2017-03-15 17:56 jnxd New Issue
2017-03-15 18:04 jnxd Note Added: 0008630
2017-03-15 20:07 Kunda1 Relationship added related to 0002964
2017-03-15 20:08 Kunda1 Additional Information Updated View Revisions
2017-03-19 21:09 yorik Changeset attached => FreeCAD master c4fdc924
2017-03-19 21:09 yorik Note Added: 0008653
2017-03-19 21:09 yorik Assigned To => yorik
2017-03-19 21:09 yorik Status new => closed
2017-03-19 21:09 yorik Resolution open => fixed